Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008582opensim[REGION] OpenSim Corepublic2019-08-27 10:112019-09-02 15:07
ReporterJeff Hall 
Assigned To 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusnewResolutionopen 
PlatformWindows .NetOSWindows 10 64-bitOS VersionBuild 17134.950
Product Version0.9.0.1 
Target VersionFixed in Version 
Summary0008582: Looping sounds stop playing unless looking back at after a certain distance
DescriptionWith region having many sounds including looping ones when you move away sound get lower (expected) then suddenly stops (less expected). Then when you get closer of the emitter prim sound wont start again until you face looking at (unexpected).
Steps To ReproduceGo into a region having many sounds (ex: MetaFor). Get close to the prim having looping sound (ex: fall in that case); you will hear sounds while it will get lower while moving away then it stop abrutely and wont be heard until you look back at it.

Might not occure with a single sound prim in a sandbox but with a more filled region.
Additional InformationDoesn't happen with older opensim version:

OSgrid 0.9.1.0 Snail Dev 695d807696: 2019-01-26 16:42:42: OK sounds play well

Likely not client side related since it works well with previous opensimulator and using same viewer (FS see below)

Tried clearing all caches (server and viewer with no effect.

changing MaxDistance = 100.0 in OpenSimDefaults.ini has no effect and is same setting in both current and older opensim version.


-------------------
System infos

Firestorm 6.0.2 (56680) Feb 9 2019 10:23:10 (64bit) (Firestorm-Releasex64) with OpenSimulator support
Release Notes

You are at 66.6, 46.9, 41.3 in PearlBay located at modemcable056.235-162-184.mc.videotron.ca (184.162.235.56:9003)
SLURL: hop://login.osgrid.org/PearlBay/67/47/41 [^]
(global coordinates 2,576,190.0, 262,959.0, 41.3)
OpenSim 0.9.1.0 Snail Dev OSgrid 0.9.1.0 64c56fc52b: 2019-08-16 21:24:07 +0100 (Win/.NET)
Release Notes

CPU: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz (3192.6 MHz)
Memory: 16290 MB
OS Version: Microsoft Windows 10 64-bit (Build 17134.950)
Graphics Card Vendor: NVIDIA Corporation
Graphics Card: GeForce GTX 960/PCIe/SSE2

Windows Graphics Driver Version: 26.21.14.3602
OpenGL Version: 4.6.0 NVIDIA 436.02

RestrainedLove API: (disabled)
libcurl Version: libcurl/7.54.1 OpenSSL/1.0.2l zlib/1.2.8 nghttp2/1.25.0
J2C Decoder Version: KDU v7.10.6
Audio Driver Version: FMOD Studio 1.10.10
Dullahan: 1.1.1080 / CEF: 3.3325.1750.gaabe4c4 / Chromium: 65.0.3325.146
LibVLC Version: 2.2.8
Voice Server Version: Vivox

Settings mode: Firestorm
Viewer Skin: AnsaStorm (Bright Blue)
Window size: 896x589 px
Font Used: Ubuntu Font Family (96 dpi)
Font Size Adjustment: 0.5 pt
UI Scaling: 1
Draw distance: 200 m
Bandwidth: 1250 kbit/s
LOD factor: 3
Render quality: High-Ultra (6/7)
Advanced Lighting Model: Yes
Texture memory: 2048 MB (1)
VFS (cache) creation time (UTC): 2019-8-26T22:9:47
Built with MSVC version 1800
Packets Lost: 0/1,462 (0.0%)
August 27 2019 09:41:19 SLT
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineubODE
Environment.NET / Windows64
Mono VersionOther
ViewerFirestorm 6.0.2 (56680)
Attached Files

- Relationships

-  Notes
(0035613)
UbitUmarov (administrator)
2019-08-27 10:51

Sorry to say, but most you say is viewer side actions
(0035615)
Jeff Hall (reporter)
2019-08-27 11:10

Ubit: as i mentioned earlier (please read carefully my notes) it is likely not directly linked to viewer since, again as i said, using same viewer with older and current opensim doesn't produce same behaving.

Since i didnt change viewer then logical conclusion is that differences occured in opensim.
(0035623)
Jeff Hall (reporter)
2019-08-28 19:37
edited on: 2019-08-28 19:38

Sadly reverting to OpenSim 0.9.1.0 Snail Dev OSgrid 0.9.1.0 695d807696: 2019-01-26

Sounds work fine again and i also tried with other opensim fork and again sounds worked fine. Something was changed in between 2019-01-26 version and current one but i cant tell where. For sure something was changed and its not simply related to viewer (i kept using same viewer).

I hope someone will take the time to look deeper at sounds managing since they are a huge part of user experience from some builders points of view, including me.

I can always reput back current version if a dev is willing to come at my regions, investigate the bug and more. Just tell me then. TY

(0035624)
Jeff Hall (reporter)
2019-08-29 18:39
edited on: 2019-08-29 18:58

Successful workaround suggested by Ubit: adding SupportViewerObjectsCache = false in Opensim.ini at ClientStack.LindenUDPsection:

[ClientStack.LindenUDP]
SupportViewerObjectsCache = false

It successfully fixes all sounds issues; working perfectly now. I was asked to and did some tests with objects rezzing speed with and without that added setting but i didn't notice any big difference in my case and my regions. Effects must vary in between different regions, servers, comps and configs but it definitely looks like that some further investigation inside objects rezzing speed vs sounds managing would be worth looking at. While it is likely not a direct/exclusive opensim bug there seems to be a real issue in between server and viewer interaction to check deeper.

I will let you judge if/when you consider ticket should be closed, more investigated or even make a new related issue.

PS ty for your work here; it is much appreciated.

(0035652)
tampa (reporter)
2019-09-02 08:10

Which suggests either of two things.

A Implementation for viewerobjectscache is still not proper, which as is always a work in progress

B Viewer or protocol not properly described thus implementation lacking parts

@Ubit Correct me if I am wrong, but viewerobjectscache is still being worked on which makes this a bug with that?

@Jeff Remember that master is a testing-ground for bleeding edge features, they can and will produce bugs. It's good to report them nonetheless, but depending on what feature a fix may not always lie with OpenSim.
(0035655)
Jeff Hall (reporter)
2019-09-02 15:07
edited on: 2019-09-02 15:08

@tampa I am fully aware that opensim new implementations can produce issues, which makes testing and issue reporting key actions with software developpment and developpers. This is the only way to send a great product into opensimulator's project master core at end. The longer you let an issue pending and the harder it might be to get it fixed i think, sometimes.

I also do some reporting on viewer's jira (and other bug tracking systems) and understand that issues can lie within server and/or viewer. I always try to look carefully before reporting an issue here.

I will let devs investigate if they are facing an hybrid issue here, but for sure there is something to look at i believe.

ps: ty again for your involvment


- Issue History
Date Modified Username Field Change
2019-08-27 10:11 Jeff Hall New Issue
2019-08-27 10:51 UbitUmarov Note Added: 0035613
2019-08-27 11:10 Jeff Hall Note Added: 0035615
2019-08-28 19:37 Jeff Hall Note Added: 0035623
2019-08-28 19:38 Jeff Hall Note Edited: 0035623 View Revisions
2019-08-29 18:39 Jeff Hall Note Added: 0035624
2019-08-29 18:40 Jeff Hall Note Edited: 0035624 View Revisions
2019-08-29 18:42 Jeff Hall Note Edited: 0035624 View Revisions
2019-08-29 18:45 Jeff Hall Note Edited: 0035624 View Revisions
2019-08-29 18:48 Jeff Hall Note Edited: 0035624 View Revisions
2019-08-29 18:56 Jeff Hall Note Edited: 0035624 View Revisions
2019-08-29 18:56 Jeff Hall Note Edited: 0035624 View Revisions
2019-08-29 18:58 Jeff Hall Note Edited: 0035624 View Revisions
2019-09-02 08:10 tampa Note Added: 0035652
2019-09-02 15:07 Jeff Hall Note Added: 0035655
2019-09-02 15:08 Jeff Hall Note Edited: 0035655 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker